Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05103 Sound Minor Always Jan 13, 2013, 20:45 Feb 21, 2013, 05:30
Tester Justin Kerk View Status Public Platform MESS (Self-compiled)
Assigned To wilbert Resolution Fixed OS Windows XP
Status [?] Resolved Driver odyssey2.cpp
Version 0.148 Fixed in Version Build 64-bit
Summary MESS-specific 05103: odyssey2 [bees]: No speech in Killer Bees
Description Killer Bees ("bees" in the softlist) acts as if The Voice add-on module is not present. There should be various speech effects in the game like a "BZZZZZ" noise at startup and a "MORE MORE MORE CHK CHK CHK" as bees are counted after clearing each screen but instead it plays the fallback sounds with the internal sound chip. Other voice games like "timelord" recognize it and play speech.

The following YouTube shows gameplay on the original hardware without and then with The Voice (starting at 4:16):
Steps To Reproduce
Additional Information Reproduced with the official 0.148 EXE and with SVN r20251. This has been happening for a while and is not a regression from the recent O2 changes.
Flags
Regression Version
Affected Sets / Systems odyssey2 [bees]
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.09390
wilbert
Developer
Feb 15, 2013, 21:29
After hooking reseting of the sp0256 and hooking up the LRQ output of the sp0256 to the T0 pin of the cpu I would have expected this to start working.

However, it seems we may have a small issue in our sp0256 emulation:
Bees resets the sp0256 and waits for the LRQ output to change. In our current core the reset is instantly, so it fails to detect the presence of the sp0256
User avatar
No.09404
wilbert
Developer
Feb 20, 2013, 20:00
Fixed revision 21230
User avatar
No.09405
Justin Kerk
Developer
Feb 21, 2013, 05:30
Speech works now. I notice that the CHK CHK CHK sound when counting up score at the end of a round plays more slowly than in the video. (kevtris' FPGA O2 had the same issue.)